# Class ConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sf.statcvs.output.ConfigurationException

All Implemented Interfaces:
  `Serializable`

public class ConfigurationException extends Exception
Thrown on missing/illegal configuration arguments.

Version:
  $Id: ConfigurationException.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak (richard@cyganiak.de)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationException(String message)`
Constructor

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConfigurationException

public ConfigurationException(String message)
Constructor

Parameters:
  `message` - error message